package com.ccnode.codegenerator.myconfigurable;

package .tmp;

import com.ccnode.codegenerator.myconfigurable.IntellijDatabaseUserNameAndPassword;
import com.ccnode.codegenerator.myconfigurable.NewDatabaseInfo;
import com.ccnode.codegenerator.myconfigurable.ProjectProfile;
import com.ccnode.codegenerator.myconfigurable.TestConfiguration;
import com.google.common.collect.Lists;
import com.google.common.collect.Maps;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import org.jetbrains.annotations.NotNull;

public class ProjectState {
  private List<NewDatabaseInfo> databaseInfos = new ArrayList<>();
  
  private Map<String, IntellijDatabaseUserNameAndPassword> intellijDatabaseUserNameAndPasswordMap = Maps.newHashMap();
  
  private TestConfiguration lastUsedTestConfiguration;
  
  private List<TestConfiguration> testConfigurations = Lists.newArrayList();
  
  private NewDatabaseInfo activeDatabaseInfo;
  
  private ProjectProfile projectProfile = new ProjectProfile();
  
  public List<NewDatabaseInfo> getDatabaseInfos() {
    return this.databaseInfos;
  }
  
  public void setDatabaseInfos(List<NewDatabaseInfo> paramList) {
    this.databaseInfos = paramList;
  }
  
  public NewDatabaseInfo getActiveDatabaseInfo() {
    return this.activeDatabaseInfo;
  }
  
  public void setActiveDatabaseInfo(NewDatabaseInfo paramNewDatabaseInfo) {
    this.activeDatabaseInfo = paramNewDatabaseInfo;
  }
  
  @NotNull
  public ProjectProfile getProjectProfile() {
    return this.projectProfile;
  }
  
  public void setProjectProfile(ProjectProfile paramProjectProfile) {
    this.projectProfile = paramProjectProfile;
  }
  
  public Map<String, IntellijDatabaseUserNameAndPassword> getIntellijDatabaseUserNameAndPasswordMap() {
    return this.intellijDatabaseUserNameAndPasswordMap;
  }
  
  public void setIntellijDatabaseUserNameAndPasswordMap(Map<String, IntellijDatabaseUserNameAndPassword> paramMap) {
    this.intellijDatabaseUserNameAndPasswordMap = paramMap;
  }
  
  public TestConfiguration getLastUsedTestConfiguration() {
    return this.lastUsedTestConfiguration;
  }
  
  public void setLastUsedTestConfiguration(TestConfiguration paramTestConfiguration) {
    this.lastUsedTestConfiguration = paramTestConfiguration;
  }
  
  public List<TestConfiguration> getTestConfigurations() {
    return this.testConfigurations;
  }
  
  public void setTestConfigurations(List<TestConfiguration> paramList) {
    this.testConfigurations = paramList;
  }
}
